SecWordBlock Class Reference

SecBlock<word> typedef. More...

Inheritance diagram for SecWordBlock:

## Additional Inherited Members

Public Types inherited from SecBlock< word >
typedef A::value_type | value_type
typedef A::pointer | iterator
typedef A::const_pointer | const_iterator
typedef A::size_type | size_type
Public Member Functions inherited from SecBlock< word >
| SecBlock (size_type size=0)
| Construct a SecBlock with space for size elements. More...
| SecBlock (const SecBlock< word, AllocatorWithCleanup< word > > &t)
| Copy construct a SecBlock from another SecBlock. More...
| SecBlock (const word *ptr, size_type len)
| Construct a SecBlock from an array of elements. More...
| operator const void * () const
| Cast operator. More...
| operator void * ()
| Cast operator. More...
| operator const word * () const
| Cast operator. More...
| operator word * ()
| Cast operator. More...
iterator | begin ()
| Provides an iterator pointing to the first element in the memory block. More...
const_iterator | begin () const
| Provides a constant iterator pointing to the first element in the memory block. More...
iterator | end ()
| Provides an iterator pointing beyond the last element in the memory block. More...
const_iterator | end () const
| Provides a constant iterator pointing beyond the last element in the memory block. More...
A::pointer | data ()
| Provides a pointer to the first element in the memory block. More...
A::const_pointer | data () const
| Provides a pointer to the first element in the memory block. More...
size_type | size () const
| Provides the count of elements in the SecBlock. More...
bool | empty () const
| Determines if the SecBlock is empty. More...
byte * | BytePtr ()
| Provides a byte pointer to the first element in the memory block. More...
const byte * | BytePtr () const
| Return a byte pointer to the first element in the memory block. More...
size_type | SizeInBytes () const
| Provides the number of bytes in the SecBlock. More...
void | Assign (const word *ptr, size_type len)
| Set contents and size from an array. More...
void | Assign (size_type count, word value)
| Set contents from a value. More...
void | Assign (const SecBlock< word, AllocatorWithCleanup< word > > &t)
| Copy contents from another SecBlock. More...
void | Append (const word *ptr, size_type len)
| Append contents from an array. More...
void | Append (const SecBlock< word, AllocatorWithCleanup< word > > &t)
| Append contents from another SecBlock. More...
void | Append (size_type count, word value)
| Append contents from a value. More...
void | SetMark (size_t count)
| Sets the number of elements to zeroize. More...
SecBlock< word, AllocatorWithCleanup< word > > & | operator= (const SecBlock< word, AllocatorWithCleanup< word > > &t)
| Assign contents from another SecBlock. More...
SecBlock< word, AllocatorWithCleanup< word > > & | operator+= (const SecBlock< word, AllocatorWithCleanup< word > > &t)
| Append contents from another SecBlock. More...
SecBlock< word, AllocatorWithCleanup< word > > | operator+ (const SecBlock< word, AllocatorWithCleanup< word > > &t)
| Construct a SecBlock from this and another SecBlock. More...
bool | operator== (const SecBlock< word, AllocatorWithCleanup< word > > &t) const
| Bitwise compare two SecBlocks. More...
bool | operator!= (const SecBlock< word, AllocatorWithCleanup< word > > &t) const
| Bitwise compare two SecBlocks. More...
void | New (size_type newSize)
| Change size without preserving contents. More...
void | CleanNew (size_type newSize)
| Change size without preserving contents. More...
void | Grow (size_type newSize)
| Change size and preserve contents. More...
void | CleanGrow (size_type newSize)
| Change size and preserve contents. More...
void | resize (size_type newSize)
| Change size and preserve contents. More...
void | swap (SecBlock< word, AllocatorWithCleanup< word > > &b)
| Swap contents with another SecBlock. More...
Static Public Attributes inherited from SecBlock< word >
static const size_type | ELEMS_MAX
| Returns the maximum number of elements the block can hold. More...

## Detailed Description

SecBlock<word> typedef.

Definition at line 1228 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h